Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
HeapDatabaseConfig..::.MaxSize Method
HeapDatabaseConfig Class See Also Send Feedback

Set the maximum on-disk database file size used by the database. Attempts to update or create records in a database that have reached this file size limit throw a HeapFullException. If this value is not set, the database file size can grow infinitely.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public void MaxSize(
    	uint GBytes,
    	uint Bytes
    )

Visual Basic (Declaration)
    Public Sub MaxSize ( _
    	GBytes As UInteger, _
    	Bytes As UInteger _
    )

Visual C++
    public:
    void MaxSize(
    	unsigned int GBytes,
    	unsigned int Bytes
    )

#### Parameters

GBytes
  Type: System..::.UInt32
  The size of the database is set to GBytes gigabytes plus Bytes.

Bytes
  Type: System..::.UInt32
  The size of the database is set to GBytes gigabytes plus Bytes.

# Remarks

The size specified must be at least three times the database page size. The database must contain at least three database pages. You can set the database page size using PageSize. If this value is set for an existing database, the size specified here must match the size used to create the database. Specifying an incorrect size does not result in an error until the database is opened.

# See Also

HeapDatabaseConfig Class
BerkeleyDB Namespace